$aosi_version = '2.5.20091025';

$ldap_debug_level      = 0;                                         # 4 - input, 8 - output, 12 - input/output
$ldap_timeout          = 120;
$log_large_value_limit = 10000;

$etc_dir               = '/etc/aosi';
$lib_dir               = '/usr/lib/aosi';
$varlib_dir            = '/var/lib/aosi';
$wsdl_file             = '/var/lib/aosi/www/aosi.wsdl';
$log_dir               = '/var/log/aosi';

$plugins_dir           = $lib_dir . '/Plugins';
$ldap_pwd_file         = $etc_dir . '/ldap_pwd';
$ws_log_file           = $log_dir . '/aosi.log';
$action_log_file       = $log_dir . '/action.log';
$proc_log_file         = $log_dir . '/proc.log';

$valid_ip_file         = $etc_dir . '/valid_ip';
$valid_user_file       = $etc_dir . '/valid_user';
$valid_mon_file        = $etc_dir . '/valid_mon';
$bin_attrib_file       = $varlib_dir . '/bin_attribs';
$req_attrib_file       = $varlib_dir . '/req_attribs';

$schema_base           = 'http://schema.aaiedu.hr/aosi/';
$schema_url            = $schema_base . 'hrEduPerson.xml';
$remote_schema_file    = $varlib_dir . '/hrEduPerson_remote.xml';
$local_schema_file     = $varlib_dir . '/hrEduPerson.xml';
$old_schema_file       = $varlib_dir . '/hrEduPerson_old.xml';
$attribute_xml         = {
    'hrEduPersonProfessionalStatus' => 'hrEdu001.xml',
    'hrEduPersonAcademicStatus'     => 'hrEdu002.xml',
    'hrEduPersonTitle'              => 'hrEdu003.xml',
    'hrEduPersonPrimaryAffiliation' => 'hrEdu004.xml',
    'hrEduPersonAffiliation'        => 'hrEdu004.xml',
    'hrEduPersonStaffCategory'      => 'hrEdu005.xml',
    #'hrEduPersonRole'               => 'hrEdu006.xml',
    'hrEduPersonScienceArea'        => 'hrEdu007.xml',
    'hrEduPersonGender'             => 'hrEdu009.xml',
    'hrEduPersonStudentCategory'    => 'hrEdu010.xml'
};

1;
